n = 100000;

v1 = zeros(n,1);
v2 = zeros(n,1);
for i=1:n
    while 1
        x1 = rand();
        if(x1>0 && x1<1)
            break;
        end
    end
    
    x2 = rand();
    
    t = pi * 2;
    tmp = sqrt(-2*log(x1));
    v1(i) = tmp*cos(t * x2);
    v2(i) = tmp*sin(t * x2);
    
end


figure(1);
hold on
histogram([v1,v2],100,'Normalization','pdf');
x = -5:0.01:5;
plot(x,exp(-x.^2/2)/sqrt(2*pi));
hold off;

